% Copyright (c) 2012, Jan Philipp Kruse and Harro Schmeling, Universitt Frankfurt
% All rights reserved.
% 
% Redistribution and use in source and binary forms, with or without modification, 
% are permitted provided that the following conditions are met:
% 
% Redistributions of source code must retain the above copyright notice, 
% this list of conditions and the following disclaimer.
% Redistributions in binary form must reproduce the above copyright notice, 
% this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
% 
% THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, 
% INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
% IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
% OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
% LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
% WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
% EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

function removeCallback(hObject,event,tabbedpane,datatable,datatable2,namefield,namefield2)

global mainframe;

if tabbedpane.getSelectedIndex()==0
    global Mmodels;
    
    selrows     = datatable.getSelectedRows();
    
    datamodel   = datatable.getModel();
    if isempty(selrows)
        javax.swing.JOptionPane.showMessageDialog(mainframe,...
            ['there is no model to remove. calculate and select or if there are calculated models select one ...!'],...
            'MODEL REMOVE ERROR',...
            javax.swing.JOptionPane.ERROR_MESSAGE);
    else
        for i=1:length(selrows)
            Mmodels(selrows(i)+1)   = [];
            datamodel.removeRow(selrows(i));
            selrows                 = selrows(i:end)-1;
        end
    end
    
    datatable.setModel(datamodel);
    if datamodel.getRowCount()==0
        namefield.setText(['model ',num2str(datamodel.getRowCount()+1)]);
    else
        namefield.setText(['model ',num2str(Mmodels(datamodel.getRowCount()).id+1)]);
    end
elseif tabbedpane.getSelectedIndex()==1
    global Vmodels;
    
    selrows     = datatable2.getSelectedRows();
    
    datamodel   = datatable2.getModel();
    if isempty(selrows)
        javax.swing.JOptionPane.showMessageDialog(mainframe,...
            ['there is no model to remove. calculate and select or if there are calculated models select one ...!'],...
            'MODEL REMOVE ERROR',...
            javax.swing.JOptionPane.ERROR_MESSAGE);
    else
        selrows
        Vmodels(selrows+1)   = [];
        for i=1:length(selrows)
            selrows
            i
%             Vmodels(selrows(i)+1)   = [];
            datamodel.removeRow(selrows(i));
            selrows(i+1:end)          = selrows(i+1:end)-1;
        end
    end
    
    datatable2.setModel(datamodel);
    namefield2.setText(['model ',num2str(datamodel.getRowCount()+1)]);
end

end